Package org.codehaus.janino

# Class Java.BreakableStatement

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Statement
org.codehaus.janino.Java.BreakableStatement

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`

Direct Known Subclasses:
  `Java.ContinuableStatement`, `Java.LabeledStatement`, `Java.SwitchStatement`

Enclosing class:
  `Java`

public abstract static class Java.BreakableStatement extends Java.Statement
Base class for statements that can be terminated abnormally with a `break` statement.

According JLS7 14.15, statements that can be terminated abnormally with a `break` statement are:s

- `Java.ContinuableStatement`s (`for`, `do` and `while`)
- Labeled statements
- `switch` statements

## Field Summary

### Fields inherited from class org.codehaus.janino.Java.Statement

`localVariables`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BreakableStatement(Location location)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Statement

`findLocalVariable, getEnclosingScope, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.BlockStatement

`accept`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Constructor Details

### BreakableStatement

protected BreakableStatement(Location location)